%global distro  RedSleeve Linux
%global major   9
%global minor   2

Name:           redsleeve-release
Version:        %{major}.%{minor}
Release:        0%{?dist}
Summary:        %{distro} release files
License:        GPLv2
URL:            https://redsleeve.org
BuildArch:      noarch


Provides:       redsleeve-release = %{version}-%{release}

Provides:       redhat-release-eula

Provides:       redhat-release = %{version}-%{release}

Provides:       system-release = %{version}-%{release}
Provides:       system-release(releasever) = %{major}

Provides:       base-module(platform:el%{major})



Source0:        redsleeve-release-%{major}.%{minor}.tar.gz
Source1:        85-display-manager.preset
Source2:        90-default.preset
Source3:        99-default-disable.preset
Source4:        arch
Source5:        platform

Source100:      rootfs-expand

%description
%{distro} release files

%prep
%setup -q -n redsleeve-release-%{version}

%build
echo OK

%install
rm -rf %{buildroot}

# create /etc/system-release and /etc/redhat-release
install -d -m 0755 %{buildroot}%{_sysconfdir}
echo "%{distro} release %{major}" > %{buildroot}%{_sysconfdir}/redsleeve-release
ln -s redsleeve-release %{buildroot}%{_sysconfdir}/system-release
ln -s redsleeve-release %{buildroot}%{_sysconfdir}/redhat-release

# Create the os-release file
install -d -m 0755 %{buildroot}%{_prefix}/lib
cat > %{buildroot}%{_prefix}/lib/os-release << EOF
NAME="%{distro}"
VERSION="%{major}"
ID="redsleeve"
ID_LIKE="rhel fedora"
VERSION_ID="%{major}"
PLATFORM_ID="platform:el%{major}"
PRETTY_NAME="%{distro} %{major}"
ANSI_COLOR="0;31"
LOGO="fedora-logo-icon"
CPE_NAME="cpe:/o:redsleeve:enterprise_linux:%{major}"
HOME_URL="https://www.redsleeve.org/"
BUG_REPORT_URL="https://github.com/redsleeve-linux/el9/issues"
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Linux %{major}"
REDHAT_SUPPORT_PRODUCT_VERSION="%{distro}"
EOF

# Create the symlink for /etc/os-release
ln -s ../usr/lib/os-release %{buildroot}%{_sysconfdir}/os-release

# write cpe to /etc/system/release-cpe
echo "cpe:/o:redsleeve:enterprise_linux:%{major}" > %{buildroot}%{_sysconfdir}/system-release-cpe

# create /etc/issue, /etc/issue.net and /etc/issue.d
echo '\S' > %{buildroot}%{_sysconfdir}/issue
echo 'Kernel \r on an \m' >> %{buildroot}%{_sysconfdir}/issue
cp %{buildroot}%{_sysconfdir}/issue{,.net}
echo >> %{buildroot}%{_sysconfdir}/issue
mkdir -p %{buildroot}%{_sysconfdir}/issue.d

# set up the dist tag macros
mkdir -p %{buildroot}%{_rpmmacrodir}
cat > %{buildroot}%{_rpmmacrodir}/macros.dist << EOF
# dist macros.

%%__bootstrap ~bootstrap
%%redsleeve_ver %{major}
%%redsleeve %{major}
%%rhel %{major}
%%dist %%{!?distprefix0:%%{?distprefix}}%%{expand:%%{lua:for i=0,9999 do print("%%{?distprefix" .. i .."}") end}}.el%{major}%%{?with_bootstrap:%{__bootstrap}}
%%el%{major} 1
EOF


# copy GPG keys
mkdir -p -m 755 %{buildroot}/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
    install -m 644 $file %{buildroot}/etc/pki/rpm-gpg
done

# copy yum repos
mkdir -p -m 755 %{buildroot}/etc/yum.repos.d
for file in RedSleeve*.repo; do 
    install -m 644 $file %{buildroot}/etc/yum.repos.d
done


# use unbranded docdir
mkdir -p -m 755 %{buildroot}/%{_docdir}/redsleeve-release
ln -s redsleeve-release %{buildroot}/%{_docdir}/redhat-release
install -m 644 GPL %{buildroot}/%{_docdir}/redsleeve-release

# copy systemd presets
mkdir -p %{buildroot}/%{_prefix}/lib/systemd/system-preset/
#install -d -m 0755 %{buildroot}%{_prefix}/lib/systemd/user-preset
install -m 0644 %{SOURCE1} %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE2} %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE3} %{buildroot}/%{_prefix}/lib/systemd/system-preset/
mkdir -p %{buildroot}/etc/dnf/vars/
install -m 0644 %{SOURCE4} %{buildroot}/etc/dnf/vars
mkdir -p %{buildroot}/etc/rpm/
install -m 0644 %{SOURCE5} %{buildroot}/etc/rpm

# Install arm32 specific tools
mkdir -p %{buildroot}/%{_bindir}/
install -m 0755 %{SOURCE100} %{buildroot}%{_bindir}/


%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
/etc/redhat-release
/etc/system-release
/etc/redsleeve-release
#/etc/redsleeve-release-upstream
%config(noreplace) /etc/os-release
%config /etc/system-release-cpe
%config(noreplace) /etc/issue
%config(noreplace) /etc/issue.net
/etc/pki/rpm-gpg/
%config(noreplace) /etc/yum.repos.d/*
%config(noreplace) /etc/dnf/vars/*
%config(noreplace) /etc/rpm/*
%{_rpmmacrodir}/macros.dist
%{_docdir}/redhat-release
%{_docdir}/redsleeve-release/*
%{_prefix}/lib/os-release
%{_prefix}/lib/systemd/system-preset/*
%attr(0755,root,root) %{_bindir}/rootfs-expand

%changelog
* Tue Jun 06 2023 Jacco Ligthart <jacco@redsleeve.org> 9.2.0.el9
- updated for 9.2

* Sun Dec 04 2022 Jacco Ligthart <jacco@redsleeve.org> 9.1.0.el9
- updated for 9.1

* Tue Sep 06 2022 Jacco Ligthart <jacco@redsleeve.org> 9.0.3.el9
- updated yum repo file and signing key

* Mon Jul 18 2022 Jacco Ligthart <jacco@redsleeve.org> 9.0.2.el9
- added platform

* Sat Jan 29 2022 Jacco Ligthart <jacco@redsleeve.org> 9.0.1.el9
- updated for 9.0

* Thu Nov 25 2021 Jacco Ligthart <jacco@redsleeve.org> 8.5.1.el8
- updated for 8.5

* Sat Oct 02 2021 Jacco Ligthart <jacco@redsleeve.org> 8.4.1.el8
- updated for 8.4
- updated arch to armv6hl

* Fri Dec 11 2020 Jacco Ligthart <jacco@redsleeve.org> 8.3.1.el8
- updated for 8.3

* Sat Jul 25 2020 Jacco Ligthart <jacco@redsleeve.org> 8.2-1.el8
- added PowerTools

* Sat Jun 27 2020 Jacco Ligthart <jacco@redsleeve.org> 8.2-0.0.el8
- updated for 8.2

* Sat Feb 08 2020 Jacco Ligthart <jacco@redsleeve.org> 8.1-0.0.el8
- updated for 8.1

* Sun Oct 13 2019 Jacco Ligthart <jacco@redsleeve.org> 8.0-0.3.el8
- added PLATFORM_ID

* Fri Jul 19 2019 Jacco Ligthart <jacco@redsleeve.org> 8.0-0.2.el8
- added arch=armv5tel for dnf

* Sat May 18 2019 Jacco Ligthart <jacco@redsleeve.org> 8.0-0.1.el8
- Initial setup for Redsleeve-8.0
